Package madkit.simulation.model

# Class AbstractModel

java.lang.Object
madkit.kernel.AbstractAgent
madkit.simulation.model.AbstractModel

All Implemented Interfaces:
  `Comparable<AbstractAgent>`

public class AbstractModel extends AbstractAgent
Prototype class that will be used to encapsulate simulation models in a near future.

Since:
  MadKit 5.0.0.19
Version:
  0.9
Author:
  Fabien Michel

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class madkit.kernel.AbstractAgent

  `AbstractAgent.ReturnCode, AbstractAgent.State`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JPanel`
  `getParametersView(String label)`
  Returns a panel containing sliders operating on all the `BoundedRangeModel` fields which are found in this model.
  `JPanel`
  `getParametersView(String label, AbstractAgent onInstance)`
  Returns a panel containing sliders operating on all the `BoundedRangeModel` fields which are found in this model.

  ### Methods inherited from class madkit.kernel.AbstractAgent

  `activate, broadcastMessage, broadcastMessageWithRole, bucketModeCreateGroup, bucketModeRequestRole, checkAgentAddress, compareTo, createGroup, createGroup, createGroup, createGroupIfAbsent, createGroupIfAbsent, createGroupIfAbsent, createGUIOnStartUp, destroyCommunity, destroyGroup, destroyRole, end, executeThisAgent, executeThisAgent, executeThisAgent, getAgentAddressIn, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getDistantAgentWithRole, getExistingCommunities, getExistingGroups, getExistingRoles, getKernelAddress, getLastReceivedMessage, getLastReceivedMessage, getLogger, getMadkitConfig, getMadkitProperty, getMadkitProperty, getMyGroups, getMyRoles, getName, getNetworkID, getNextEventDate, getOrganizationSnapShot, getReplyTo, getServerInfo, getSimpleNetworkID, getSimulationTime, getState, hasGUI, hashCode, hasRole, isAlive, isCommunity, isGroup, isKernelOnline, isMadkitPropertyTrue, isMessageBoxEmpty, isRole, killAgent, killAgent, launchAgent, launchAgent, launchAgent, launchAgent, launchAgent, launchAgent, launchAgent, launchAgent, launchAgentBucket, launchAgentBucket, launchAgentBucket, launchAgentBucket, launchNode, launchXmlAgents, leaveGroup, leaveRole, nextMessage, nextMessage, nextMessages, proceedEnumMessage, purgeMailbox, receiveMessage, reload, requestRole, requestRole, sendMessage, sendMessage, sendMessageWithRole, sendMessageWithRole, sendReply, sendReplyWithRole, setLogLevel, setMadkitProperty, setMadkitProperty, setName, setupFrame, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractModel

    public AbstractModel()

- ## Method Details

  - ### getParametersView

    public JPanel getParametersView(String label)
    Returns a panel containing sliders operating on all the `BoundedRangeModel` fields which are found in this model.
    Parameters:
      `label` - the name of the panel
    Returns:
      a panel containing sliders

  - ### getParametersView

    public JPanel getParametersView(String label, AbstractAgent onInstance)
    Returns a panel containing sliders operating on all the `BoundedRangeModel` fields which are found in this model.
    Parameters:
      `label` - the name of the panel
    Returns:
      a panel containing sliders